- Connect SDK
- @wormhole-foundation/sdk-base
- lazyInstantiate

# Function lazyInstantiate

- lazyInstantiate<T>(factory): (() => T)

- #### Type Parameters

  - #### T

  #### Parameters

  - ##### factory: (() => T)

    - - (): T

      - #### Returns T

  #### Returns (() => T)

  - - (): T

    - #### Returns T

  - Defined in core/base/src/utils/misc.ts:1

###
Settings

#### Member Visibility

- Protected
- Private
- Inherited

#### Theme

Generated using TypeDoc